---
lang: en
title: 'API docs: rest.routingtable'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/rest
permalink: /doc/en/lb4/apidocs.rest.routingtable.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [RoutingTable](./rest.routingtable.md)

## RoutingTable class

Routing table

**Signature:**

```typescript
export declare class RoutingTable 
```

## Constructors

<table><thead><tr><th>

Constructor


</th><th>

Modifiers


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[(constructor)(\_router, \_externalRoutes)](./rest.routingtable._constructor_.md)


</td><td>


</td><td>

Constructs a new instance of the `RoutingTable` class


</td></tr>
</tbody></table>

## Methods

<table><thead><tr><th>

Method


</th><th>

Modifiers


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[describeApiPaths()](./rest.routingtable.describeapipaths.md)


</td><td>


</td><td>


</td></tr>
<tr><td>

[find(request)](./rest.routingtable.find.md)


</td><td>


</td><td>

Map a request to a route


</td></tr>
<tr><td>

[registerController(spec, controllerCtor, controllerFactory)](./rest.routingtable.registercontroller.md)


</td><td>


</td><td>

Register a controller as the route


</td></tr>
<tr><td>

[registerRoute(route)](./rest.routingtable.registerroute.md)


</td><td>


</td><td>

Register a route


</td></tr>
</tbody></table>


